package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TgjjBsxx;

/**
 * 报税信息Service接口
 * 
 * @author lei
 * @date 2021-11-16
 */
public interface ITgjjBsxxService 
{
    /**
     * 查询报税信息
     * 
     * @param ID 报税信息ID
     * @return 报税信息
     */
    public TgjjBsxx selectTgjjBsxxById(Long ID);

    /**
     * 查询报税信息列表
     * 
     * @param tgjjBsxx 报税信息
     * @return 报税信息集合
     */
    public List<TgjjBsxx> selectTgjjBsxxList(TgjjBsxx tgjjBsxx);

    /**
     * 新增报税信息
     * 
     * @param tgjjBsxx 报税信息
     * @return 结果
     */
    public int insertTgjjBsxx(TgjjBsxx tgjjBsxx);

    /**
     * 修改报税信息
     * 
     * @param tgjjBsxx 报税信息
     * @return 结果
     */
    public int updateTgjjBsxx(TgjjBsxx tgjjBsxx);

    /**
     * 批量删除报税信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjBsxxByIds(String ids);

    /**
     * 删除报税信息信息
     * 
     * @param ID 报税信息ID
     * @return 结果
     */
    public int deleteTgjjBsxxById(Long ID);
}
